org.springframework.data.repository.config

## Class RepositoryFragmentConfiguration

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryFragmentConfiguration

    public final class RepositoryFragmentConfiguration
    extends Object

Fragment configuration consisting of an interface name and the implementation class name.

Since:
  2.0
Author:
  Mark Paluch, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`RepositoryFragmentConfiguration(String interfaceName, AbstractBeanDefinition beanDefinition)` Creates a `RepositoryFragmentConfiguration` given `interfaceName` and `AbstractBeanDefinition` of the implementation.
`RepositoryFragmentConfiguration(String interfaceName, String className)` Creates a `RepositoryFragmentConfiguration` given `interfaceName` and `className` of the implementation.
`RepositoryFragmentConfiguration(String interfaceName, String className, Optional<AbstractBeanDefinition> beanDefinition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Optional<AbstractBeanDefinition>` `getBeanDefinition()`
`String` `getClassName()`
`String` `getFragmentBeanName()`
`String` `getImplementationBeanName()`
`String` `getInterfaceName()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryFragmentConfiguration

    public RepositoryFragmentConfiguration(String interfaceName,
                                           String className)

Creates a `RepositoryFragmentConfiguration` given `interfaceName` and `className` of the implementation.

Parameters:
  `interfaceName` - must not be null or empty.
  `className` - must not be null or empty.

#### RepositoryFragmentConfiguration

    public RepositoryFragmentConfiguration(String interfaceName,
                                           AbstractBeanDefinition beanDefinition)

Creates a `RepositoryFragmentConfiguration` given `interfaceName` and `AbstractBeanDefinition` of the implementation.

Parameters:
  `interfaceName` - must not be null or empty.
  `beanDefinition` - must not be null.

#### RepositoryFragmentConfiguration

    public RepositoryFragmentConfiguration(String interfaceName,
                                           String className,
                                           Optional<AbstractBeanDefinition> beanDefinition)

### Method Detail

#### getImplementationBeanName

    public String getImplementationBeanName()

Returns:
  name of the implementation bean.

#### getFragmentBeanName

    public String getFragmentBeanName()

Returns:
  name of the implementation fragment bean.

#### getInterfaceName

    public String getInterfaceName()

#### getClassName

    public String getClassName()

#### getBeanDefinition

    public Optional<AbstractBeanDefinition> getBeanDefinition()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`